#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Sphinx/BitBucket integration module for Python 2
Summary(pl.UTF-8):	Moduł integrujący Sphinx/BitBucket dla Pythona 2
Name:		python-sphinxcontrib-bitbucket
Version:	1.0
Release:	10
License:	BSD
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxcontrib-bitbucket/sphinxcontrib-bitbucket-%{version}.tar.gz
# Source0-md5:	129147d406087e44769ae7320a2d839b
Patch0:		%{name}-py3.patch
URL:		http://www.doughellmann.com/projects/sphinxcontrib-bitbucket/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 2
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module adds custom roles for linking to resources on BitBucket
projects.

%description -l pl.UTF-8
Ten moduł dodaje własne role, pozwalające na dowiązywanie do zasobów
projektów na serwisie BitBucket.

%package -n python3-sphinxcontrib-bitbucket
Summary:	Sphinx/BitBucket integration module for Python 3
Summary(pl.UTF-8):	Moduł integrujący Sphinx/BitBucket dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 3

%description -n python3-sphinxcontrib-bitbucket
This module adds custom roles for linking to resources on BitBucket
projects.

%description -n python3-sphinxcontrib-bitbucket -l pl.UTF-8
Ten moduł dodaje własne role, pozwalające na dowiązywanie do zasobów
projektów na serwisie BitBucket.

%prep
%setup -q -n sphinxcontrib-bitbucket-%{version}
%patch -P 0 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README
# XXX: shared dir
%dir %{py_sitescriptdir}/sphinxcontrib
%{py_sitescriptdir}/sphinxcontrib/bitbucket.py[co]
%{py_sitescriptdir}/sphinxcontrib_bitbucket-%{version}-py*.egg-info
%{py_sitescriptdir}/sphinxcontrib_bitbucket-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-sphinxcontrib-bitbucket
%defattr(644,root,root,755)
%doc LICENSE README
# XXX: shared dirs
%dir %{py3_sitescriptdir}/sphinxcontrib
%dir %{py3_sitescriptdir}/sphinxcontrib/__pycache__
%{py3_sitescriptdir}/sphinxcontrib/bitbucket.py
%{py3_sitescriptdir}/sphinxcontrib/__pycache__/bitbucket.cpython-*.py[co]
%{py3_sitescriptdir}/sphinxcontrib_bitbucket-%{version}-py*.egg-info
%{py3_sitescriptdir}/sphinxcontrib_bitbucket-%{version}-py*-nspkg.pth
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sphinxcontrib-bitbucket.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 56a78fd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> da68f4c
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 9d2def2
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e4fcaed
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 91f0c8b
- Release 7 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4a85a3c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a18e2ec
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 9648aa2
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a52f190
- rebuild with python 3.8
- release 3 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 7f558b9
- use epoch 1 for python3 package

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b817442
- release 2 (by relup.sh)

* Sun Jun 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 22b82d0
- new

